#
# spec file for package utempter (Version 0.5.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         utempter
%define utmpGroup tty
Version:      0.5.2
Release:      391
Summary:      A privileged helper for utmp/wtmp updates.
License:      X11/MIT
Group:        Productivity/Security
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       utempter-%{version}.tar.gz
Patch0:       utempter-0.5.4-exit.patch

%description
Utempter is a utility which allows non-provileged applications
such as terminal emulators to modify the utmp database without
having to be setuid root.

Authors:
--------
    Redhat

%prep
%setup -q
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
export DESTDIR=$RPM_BUILD_ROOT
[ -z "$DESTDIR" ] || rm -rf $DESTDIR
make PREFIX=$DESTDIR install
strip $DESTDIR/usr/sbin/utempter
chmod 755 $DESTDIR%{_libdir}/libutempter.so*
ldconfig -n $DESTDIR%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc COPYING
%attr(02755, root, %{utmpGroup}) /usr/sbin/utempter
%attr(555,root,root) %{_libdir}/libutempter.so*
%attr(444,root,root) /usr/include/utempter.h

%changelog -n utempter
* Tue Apr 20 2004 - okir@suse.de
- Fix incorrect check for /../ in path names (#39169)
* Fri Mar 08 2002 - kukuk@suse.de
- Create libutemtper.so.0 link and include it in RPM [Bug #14672]
* Tue Jan 29 2002 - okir@suse.de
- %%files list uses %%_libdir rather than /usr/lib
* Fri Jan 25 2002 - okir@suse.de
- Initial package.
